Qt 5.6 | Qt Core | C++ Classes | QSortFilterProxyModel

Qt 5.6.2 Reference Documentation

# Obsolete Members for QSortFilterProxyModel

The following members of class QSortFilterProxyModel are obsolete. They are provided to keep old source code working. We strongly advise against using them in new code.

## Public Slots

`(obsolete)` void | clear()

## Protected Functions

`(obsolete)` void | filterChanged()

- 2 protected functions inherited from QAbstractItemModel

## Member Function Documentation

### `[slot]` void QSortFilterProxyModel::clear()

This function is obsolete. Use invalidate() instead.

### `[protected]` void QSortFilterProxyModel::filterChanged()

This function is obsolete. Use invalidateFilter() instead.